Skip to content
POST/{organizationId}/{mandateId}/finance/receipts/export/files

Export receipts

Queues a zip file export of multiple receipts for a given mandate by email

Required permissions:

  • mandate.read

  • receipt.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

searchTermstringoptional
hasReceiptbooleanoptional
viewstringoptional

Options:

outgoingsalessalesArchivedincomingpayablepayableOutgoingpayableIncomingpaidpaidOutgoingpaidIncomingallDueallDueOutgoingallDueIncomingreminderoverdueoverdueOutgoingoverdueIncomingduedueOutgoingdueIncomingcollectAllcollectOverduecollectDuecollectOverdueDirectDebitscollectDueDirectDebitscollectOverdueOnlineDebitscollectDueOnlineDebitspendingdraftcanceledcanceledOutgoingcanceledIncomingarchivedarchivedOutgoingarchivedIncomingwithDonationrequireDonation

A stringified json object representing a property filter

receiverNamestringoptional

minLength: 1

receiverEmailstringoptional

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/receipts/export/files
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/receipts/export/files' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "searchTerm": "string",
  "hasReceipt": true,
  "view": "outgoing"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

isQueueExportingbooleanrequired

Response

200
{
  "isQueueExporting": true
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}